
QGIS Application - Feature request #1628

r.out.tiff: does not allow selection of destination directory

2009-04-05 01:47 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11688

Description

When exporting a raster to a tiff with r.out.tiff, the user cannot select the destination directory. The tiff gets saved to the home directory,

but this should be a choice of the user.

History

#1 - 2009-06-10 09:09 AM - Paolo Cavallini

The code differences are:

r.out.bin:

75         parm.output = G_define_option();

76         parm.output->key = "output";

77         parm.output->type = TYPE_STRING;

78         parm.output->required = NO;

79         parm.output->description =

80             _("Name for output binary map (use output=- for stdout)");

but r.out.tiff:

106         outopt = G_define_option();

107         outopt->key = "output";

108         outopt->type = TYPE_STRING;

109         outopt->required = YES;

110         outopt->gisprompt = "new_file,tiff,tiff";

111         outopt->description = _("Name for new TIFF file");

Apparently the presence of gisprompt disactivates the directory browse button in QGIS.

#2 - 2009-06-17 07:52 AM - Lorenzo Masini

- Status changed from Open to Closed

- Resolution set to fixed

The problem was in the r.out.tiff.qgm module. 

Fixed in commit:7b08127b (SVN r10945).
#3 - 2009-08-12 12:00 AM - Paolo Cavallini

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

#4 - 2009-08-12 12:01 AM - Paolo Cavallini

- Status changed from Feedback to Closed

- Resolution set to fixed

#5 - 2009-08-12 12:02 AM - Paolo Cavallini

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

#6 - 2009-08-12 12:03 AM - Paolo Cavallini

- Status changed from Feedback to Open

#7 - 2009-08-12 12:03 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed
